Python 3.13.7 (tags/v3.13.7:bcee1c3, Aug 14 2025, 14:15:11) [MSC v.1944 64 bit (AMD64)] on win32
Enter "help" below or click "Help" above for more information.
class Class1:               #Объявление класса
	def zad_zn(self,znach): #Метод 1 класса1 – задание значения data
		self.data=znach # self - ссылка на экземпляр класса
	def otobrazh(self):     # Метод 2 класса1
		print(self.data)#Отображение данных экземпляра класса

z1=Class1()   #Создаём 1-й экземпляр класса
z2=Class1()   #Создаём 2-й экземпляр класса
z1.zad_zn('экз.класса 1')  #Обращение к методу класса у 1-го экз.
z2.zad_zn(-632.453)         #Обращение к методу класса у 2-го экз.
z1.otobrazh()      # Обращение ко второму методу класса
экз.класса 1
z2.otobrazh()
-632.453
z1.data='Новое значение атрибута у экз.1'
z1.otobrazh()
Новое значение атрибута у экз.1
class Class2(Class1):  #Class2 - наследник класса Class1
    def otobrazh(self):     # Метод  класса Class2 – переопределяет метод родителя
...         print('значение=',self.data)#Отображение данных экземпляра
... 
...         
>>> z3=Class2()
>>> dir(z3)
['__class__', '__delattr__', '__dict__', '__dir__', '__doc__', '__eq__', '__firstlineno__', '__format__', '__ge__', '__getattribute__', '__getstate__', '__gt__', '__hash__', '__init__', '__init_subclass__', '__le__', '__lt__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__static_attributes__', '__str__', '__subclasshook__', '__weakref__', 'otobrazh', 'zad_zn']
>>> z3.zad_zn('Совсем новое')
>>> z3.otobrazh()
значение= Совсем новое
>>> z1.otobrazh()
Новое значение атрибута у экз.1
>>> del  z1,z2,z3
>>> from Mod3 import Class1 #Частичный импорт содержимого модуля
Traceback (most recent call last):
  File "<pyshell#17>", line 1, in <module>
    from Mod3 import Class1 #Частичный импорт содержимого модуля
ModuleNotFoundError: No module named 'Mod3'
>>> from Mod3 import Class1 #Частичный импорт содержимого модуля
Traceback (most recent call last):
  File "<pyshell#18>", line 1, in <module>
    from Mod3 import Class1 #Частичный импорт содержимого модуля
ModuleNotFoundError: No module named 'Mod3'
